Myriad Blog 1.3.0 Saturday, Nov 29th, 2014 at 00:56am 

Wednesday, Jul 6th, 2011 at 05:11pm
Acam III, version Ubuntu, étape 56

 
La version beta ayant été publiée hier, nous avons déjà eu quelques retours. L'un d'entre eux était particulièrement préoccupant :
Sur Ubuntu version 64 bits, les applications 32 bits ne fonctionnent pas, et ne peuvent même pas s'installer depuis la logithèque. C'est pourtant un mode de compatibilité assuré par défaut et de manière totalement transparente sur les autres plateformes (Mac OS ou Windows). Mais la compatibilité ascendante ne semble pas être la préoccupation principale du consortium Ubuntu...
 
Ne pouvant pas nous permettre de maintenir 2 versions (32 et 64 bits) de chacun de nos programmes sur chacune des plateformes Linux que nous envisageons de gérer, et le bénéfice du 64 bits en terme de performances restant encore à prouver, voici une méthode du type "mains dans le cambouis" pour faire fonctionner la version actuelle (32 bits) sur Ubuntu 64 bits:
 
1- Lancer  Terminal
 
2- Se positionner dans le répertoire où est sauvegardé le paquet Debian téléchargé.
 
3- Installer les librairies de compatibilité 32 bits grâce à la commande:
Quote:
sudo apt-get install ia32-libs

 
4- Installer le paquet par la commande:
Quote:
sudo dpkg -i --force-architecture "Melody_7.6-1.deb"

 
5- A partir de maintenant, le programme peut être lancé depuis le menu "Application > Son et Vidéo > Melody Assistant".
 
Il est à noter que:
 
- Il suffit d'installer une seule fois les librairies de compatibilité (étape 3) pour pouvoir ensuite installer à volonté n'importe quel paquet 32 bits. On se demande pourquoi ces librairies ne sont pas incluses par défaut.
Soi-disant, pour obliger les utilisateurs à bien vérifier qu'une version 64 bits de l'application n'existe pas. Si c'est pour notre bien, alors...
 
- La procédure d'installation du paquet (étape 4) fonctionne de la même manière pour n'importe quel paquet 32 bits, pas seulement le nôtre.
 
- Il nous faudra trouver un moyen d'expliquer cela de manière claire, lorsque la version définitive sera disponible, afin que les utilisateurs ne butent pas trop sur le problème.
by Olivier Guillion
Comments

Comment from Augereau Wednesday, Jul 6th, 2011 at 09:11pm
Installation
Il me semble qu'il est possible de créer une dépendance vers d'autres paquets dans la procédure d'installation!
Marche avec synaptique!
Bon courage pour la suite!


Most recent first
Oldest first

Top of page
Last update:  (c) Myriad 2013